Bug 1439740 (CVE-2016-10229) - CVE-2016-10229 kernel: net: Unsafe second checksum calculation in udp.c
Summary: CVE-2016-10229 kernel: net: Unsafe second checksum calculation in udp.c
Status: CLOSED NOTABUG
Alias: CVE-2016-10229
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20151230,repo...
Keywords: Security
Depends On: 1440624
Blocks: 1439743
TreeView+ depends on / blocked
 
Reported: 2017-04-06 12:52 UTC by Andrej Nemec
Modified: 2017-04-20 00:29 UTC (History)
38 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The Linux kernel allows remote attackers to execute arbitrary code via UDP traffic that triggers an unsafe second checksum calculation during execution of a recv system call with the MSG_PEEK flag. This may create a kernel panic or memory corruption leading to privilege escalation.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-19 22:10:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrej Nemec 2017-04-06 12:52:24 UTC
A flaw was found in the Linux kernel which allows remote attackers to crash the system or corrupt kernel memory, possibly leading to arbitrary code execution, via UDP traffic that triggers an unsafe second checksum calculation during the execution of a recv system call with the MSG_PEEK flag.

Upstream patch:

https://github.com/torvalds/linux/commit/197c949e7798fbf28cfadc69d9ca0c2abbf93191

References:

http://source.android.com/security/bulletin/2017-04-01.html

Comment 1 Wade Mealing 2017-04-10 06:58:04 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1440624]

Comment 2 Justin M. Forbes 2017-04-10 14:13:44 UTC
This fix was committed upstream in the 4.5 kernel merge window (Dec 2015). It has never impacted any of the currently supported versions of Fedora.

Comment 3 Wade Mealing 2017-04-11 00:50:22 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 as the code that introduced the flaw is not present in these products.

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 7, Red Hat Enterprise MRG 2, and realtime kernels as these contain the fixed commit.

Comment 7 Vincent Danen 2017-04-19 22:10:10 UTC
External References:

https://access.redhat.com/solutions/3001781


Note You need to log in before you can comment on or make changes to this bug.